package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Sage_pay;
import com.realnet.vpspack.Services.Sage_payService ;






















@RequestMapping(value = "/Sage_pay")
 @CrossOrigin("*") 
@RestController
public class Sage_payController {
	@Autowired
	private Sage_payService Service;

@Value("${projectPath}")
	private String projectPath;
 






















	@PostMapping("/Sage_pay")
		  public Sage_pay Savedata(@RequestBody Sage_pay data) {
		Sage_pay save = Service.Savedata(data)	;





















		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Sage_pay/{id}")
	public  Sage_pay update(@RequestBody Sage_pay data,@PathVariable Integer id ) {
		Sage_pay update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Sage_pay/getall/page")
	public Page<Sage_pay> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Sage_pay> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Sage_pay")
	public List<Sage_pay> getdetails() {
		 List<Sage_pay> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Sage_pay")
	public List<Sage_pay> getallwioutsec() {
		 List<Sage_pay> get = Service.getdetails();		
		return get;
}
@GetMapping("/Sage_pay/{id}")
	public  Sage_pay  getdetailsbyId(@PathVariable Integer id ) {
		Sage_pay  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Sage_pay/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}























}